# GimpUi.enum_radio_frame_new_with_range

    @accepts(GType, int, int, Gtk.Widget, GObject.Callback, gpointer, GLib.DestroyNotify, Gtk.Widget)
    @returns(Gtk.Widget)
    def enum_radio_frame_new_with_range(enum_type, minimum, maximum, label_widget, callback, callback_data, callback_data_destroy, first_button):
        # Python wrapper for gimp_enum_radio_frame_new_with_range()

Calls GimpUi.enum_radio_box_new_with_range and puts the resulting vertical box into a Gtk.Frame.

Since 2.4

enum_type

  the GLib.Type of an enum.

minimum

  the minimum enum value

maximum

  the maximum enum value

label_widget

  a widget to put into the frame that will hold the radio box.

callback

  a callback to connect to the "toggled" signal of each Gtk.RadioButton that is created.

callback_data

  data to pass to the callback.

callback_data_destroy

  Destroy function for callback_data.

first_button

  Returns the first button in the created group.

Returns